#! /bin/bash
confpath="/etc/samba/private/ss.conf"
sspath="/dev/shm/ss"
indexes=(`lscp -s | unexpand -a | expand -t 1 | unexpand -a | cut -f 1 | sed "s/^\s*//g" | sed "{1 d}" | sed s/\n/\s/g`)
echo "#snapshot by nilfs" > $confpath
echo "[snapshots]" >> $confpath
echo "path = $sspath" >> $confpath
echo "read only = yes" >> $confpath
echo "guest only = yes" >> $confpath
echo "browsablw = yes" >> $confpath

for i in "${indexes[@]}"
do
tempsspath="$sspath/$i"
if [ -e $tempsspath ];then
echo $tempsspath
else
mkdir -p $tempsspath
fi
mount -t nilfs2 -r -o cp=$i /dev/disk/by-label/snapshot $tempsspath
echo "mount -t nilfs2 -r -o cp=$1 /dev/disk/by-label/snapshot $tempsspath"
done
#chmod -R 777 $sspath
#rm -dirf /dev/shm/ss/*
systemctl restart smb
exit 0
