#! /bin/bash
rm /srv/http/data/list.txt
lscp -s | awk '{print $1,$2,$3,$6,$7}' | sed -e 's/\s/,/g' > /srv/http/data/snapshot_list.csv
df -h | unexpand -a | expand -t 1 | sed '2,999999d' | sed 's/Mounted on/MountedOn/' | sed -e "s/\\s\{1,999\}/ /g" | sed s/\\s/,/g > /srv/http/data/hdd.csv
df -h | unexpand -a | expand -t 1 | grep "^/dev/" | sed -e "s/\\s\{1,999\}/ /g" | sed s/\\s/,/g  >> /srv/http/data/hdd.csv
df -i | unexpand -a | expand -t 1 | sed '2,999999d' | sed 's/Mounted on/MountedOn/' | sed -e "s/\\s\{1,999\}/ /g" | sed s/\\s/,/g >> /srv/http/data/hdd.csv
df -i -t nilfs2 | unexpand -a | expand -t 1 | grep "^/dev/" | sed -e "s/\\s\{1,999\}/ /g" | sed s/\\s/,/g  >> /srv/http/data/hdd.csv
ls /srv/http/data/ > /tmp/data_list.txt
mv -f /tmp/data_list.txt /srv/http/data/list.txt
chmod -R 775 /srv
chown -R http:http /srv/*
exit 0
